#include <stdlib.h>
#include <string.h>
#include <bastard.h>
#include <extension.h>


/* ------------------------------------------------------- EXT_LANG init() */
void ext_lang_init( void *param ) {
   struct EXT__LANG *settings = (struct EXT__LANG *)param;

   return;
}

/* ------------------------------------------------------- EXT_LANG cleanup() */
void ext_lang_cleanup( void ) {
   return;
}




int add_data_types(int mach_word) {
   return(1);
}

int makestr(char *buf, char *text, int text_len, int type){
   int len = 0;
   
   switch (type){
      case STR_STD:
         break;
      case STR_WIDE:
         break;
   }
   return(len); /* return length of string */
}

/* buf     : buffer to search for string
 * len     : length of buffer
 * pos     : pointer to integer to fill w/ offset into buffer of found string
 * text    : buffer to copy found string to
 * text_len: size of buffer 'text'
 * type    : type of string [wide or standard]
 * returns : size of string found */
int findstr(char *buf, int len, int *pos, char *text, int text_len,int type){

   switch(type){
      case STR_STD:
         break;
      case STR_WIDE:
         break;
   } /* end switch */

   return(1);
}

/* output routines */
/* sprint a prototype for a given function */
int sprint_proto(char *buf, int len, int func_id){
   return(1);
}
/* sprint an entire function [usig fin_code] in HLL */
int sprint_func(char *buf, int len, int func_id){
   return(1);
}
/* generate the final high-level code for a function */
int gen_final(int func_id){
   return(1);
}
/* generate a high-level language file for target */
int gen_file( char *path) {
   return(1);
}
